/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// AOLModules.h

/* This file is to keep the module code from becoming tied into the AOLSession code
	and limit its reusability. All session binding code is in here now.
	This also prevents a nasty dependency problem between AOLSession.h and Modules.h
	which was workable, but a klugde and made gcc squeal.
	SBW - 2/5/2000
*/

#ifndef __AOLMODULES__
#define __AOLMODULES__

#include "Modules.h"
#include "AOLSession.h"

#define kModStart	"Module_Start"
#define kModStop	"Module_Stop"		// This may be deprected soon SBW - 2/4/2000

typedef	XAOLError (*ModStartStopPtr) (Module*, AOLSession*);

XAOLError	MStartModules			(AOLSession* session);
XAOLError	Module_Start			(Module* module, AOLSession* session);

#endif __AOLMODULES__