/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// AOLStream.h

#ifndef __AOLSTREAM__
#define __AOLSTREAM__

#include "AOLSession.h"
#include "P3.h"

// Function pointer type for streams
typedef void (*StreamHandlerPtr) (AOLSession*, P3* p3, void*);

XAOLError AStreamAdd 		(AOLSession* session, char* token, StreamHandlerPtr handler, void* data);
XAOLError AStreamRemove		(AOLSession* session, char* token, StreamHandlerPtr handler);
XAOLError AStreamDispatch	(AOLSession* session, P3* p3);

#endif __AOLSTREAM__